<?php
  $q=$_POST['q'];

  include("conexionOdo.php");
  $query="SELECT * FROM SIO_CIE10 WHERE grupo='$q'";
  $result = mysql_query($query) or die('Consulta de grupos en cie10: ' . mysql_error());
  $i=0;
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC))
  {
    if ($i==0)
      {
        $comboTipo .=" <option value=''>".'Seleccione el Diagnostico'."</option>";
      }
    //  else
    //  {  
        $comboTipo .=" <option value='".$line['codCie10']."'>".$line['codCie10']."  |  ".$line['nomCie10']."</option>"; 
    //  }
    $i++; 
  }
  // Liberar resultados
  mysql_free_result($result);
?>

<select name="odonto" id="odonto"style='height:25; width:500'>
  <?php echo $comboTipo; ?>
</select>